# Class BorderUIResource.MatteBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.EmptyBorder
javax.swing.border.MatteBorder
javax.swing.plaf.BorderUIResource.MatteBorderUIResource

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.MatteBorderUIResource extends MatteBorder implements UIResource
A matte border UI resource.

- ## Field Summary

  ### Fields declared in class MatteBorder

  `color, tileIcon`
  Modifier and Type
  Field
  Description
  `protected Color`
  `color`
  The color rendered for the border.
  `protected Icon`
  `tileIcon`
  The icon to be used for tiling the border.

  ### Fields declared in class EmptyBorder

  `bottom, left, right, top`
  Modifier and Type
  Field
  Description
  `protected int`
  `bottom`
  The bottom inset of the border.
  `protected int`
  `left`
  The left inset of the border.
  `protected int`
  `right`
  The right inset of the border.
  `protected int`
  `top`
  The top inset of the border.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatteBorderUIResource(int top, int left, int bottom, int right, Color color)`
  Constructs a `MatteBorderUIResource`.
  `MatteBorderUIResource(int top, int left, int bottom, int right, Icon tileIcon)`
  Constructs a `MatteBorderUIResource`.
  `MatteBorderUIResource(Icon tileIcon)`
  Constructs a `MatteBorderUIResource`.

- ## Method Summary

  ### Methods declared in class MatteBorder

  `getBorderInsets, getBorderInsets, getMatteColor, getTileIcon, isBorderOpaque, paintBorder`
  Modifier and Type
  Method
  Description
  `Insets`
  `getBorderInsets()`
  Returns the insets of the border.
  `Insets`
  `getBorderInsets(Component c, Insets insets)`
  Reinitialize the insets parameter with this Border's current Insets.
  `Color`
  `getMatteColor()`
  Returns the color used for tiling the border or null if a tile icon is being used.
  `Icon`
  `getTileIcon()`
  Returns the icon used for tiling the border or null if a solid color is being used.
  `boolean`
  `isBorderOpaque()`
  Returns whether or not the border is opaque.
  `void`
  `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
  Paints the matte border.

  ### Methods declared in class AbstractBorder

  `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`
  Modifier and Type
  Method
  Description
  `int`
  `getBaseline(Component c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(Component c)`
  Returns an enum indicating how the baseline of a component changes as the size changes.
  `Insets`
  `getBorderInsets(Component c)`
  This default implementation returns a new `Insets` object that is initialized by the `AbstractBorder.getBorderInsets(Component,Insets)` method.
  `Rectangle`
  `getInteriorRectangle(Component c, int x, int y, int width, int height)`
  This convenience method calls the static method.
  `static Rectangle`
  `getInteriorRectangle(Component c, Border b, int x, int y, int width, int height)`
  Returns a rectangle using the arguments minus the insets of the border.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MatteBorderUIResource

    public MatteBorderUIResource(int top, int left, int bottom, int right, Color color)
    Constructs a `MatteBorderUIResource`.
    Parameters:
      `top` - the top inset of the border
      `left` - the left inset of the border
      `bottom` - the bottom inset of the border
      `right` - the right inset of the border
      `color` - the color rendered for the border

  - ### MatteBorderUIResource

    public MatteBorderUIResource(int top, int left, int bottom, int right, Icon tileIcon)
    Constructs a `MatteBorderUIResource`.
    Parameters:
      `top` - the top inset of the border
      `left` - the left inset of the border
      `bottom` - the bottom inset of the border
      `right` - the right inset of the border
      `tileIcon` - the icon to be used for tiling the border

  - ### MatteBorderUIResource

    public MatteBorderUIResource(Icon tileIcon)
    Constructs a `MatteBorderUIResource`.
    Parameters:
      `tileIcon` - the icon to be used for tiling the border